# $Revision: 1.40 $, $Date: 2002/04/22 22:37:30 $
Summary:	A USENET newsreader for GNOME
Summary(es):	Uno leitor USENET para el GNOME
Summary(pl):	Czytnik USENET dla GNOME
Summary(pt_BR):	Um leitor USENET para o GNOME
Name:		pan
Version:	0.11.3
Release:	1
Epoch:		1
License:	GPL
Group:		X11/Applications
Source0:	http://pan.rebelbase.com/download/releases/%{version}/SOURCE/%{name}-%{version}.tar.bz2
URL:		http://pan.rebelbase.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	gal-devel >= 0.19
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel >= 1.0.16
BuildRequires:	gtk+-devel >= 1.2.6
BuildRequires:	gtkhtml-devel >= 0.16
BuildRequires:	libtool
BuildRequires:	libxml-devel >= 1.8.17
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man
%define		_sysconfdir	/etc/X11/GNOME
%define		_localstatedir	/var

%description
PAN is Pimp Ass Newsreader. Its goal is to make a user-friendly and
powerful USENET newsreadre for GNOME. Its user interface is based
loosely on popular newsreaders for Windows. This is alpha software, so
don't expect everything to work correctly or even at all.

%description -l es
Pan is a powerful and easy newsreader for GNOME. It has many features
for easy reading and posting, displaying and saving attachments, and
offline newsreading. It is also the only Unix newsreader to receive a
perfect score

%description -l pl
Celem programu PAN jest umoliwienie uytkownikowi prostego i
efektywnego czytania wiadomoci USENET w rodowisku GNOME. Interfejs
uytkownika jest podobny do tych znanych z Windows.

%description -l pt_BR
Pan  um leitor de Usenet News fcil e poderoso para o GNOME Ele tem
muitas caractersticas que facilitam ler e postar, mostrando e
salvando anexos e leitura "offline".

%prep
%setup -q

%build
sed -e s/AM_GNOME_GETTEXT/AM_GNU_GETTEXT/ configure.in > configure.in.tmp
mv -f configure.in.tmp configure.in
rm -f missing
libtoolize --copy --force
gettextize --copy --force
aclocal -I macros
autoconf
automake -a -c -f
%configure \
	--enable-html \
	--with-gnome
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Productivitydir=%{_applnkdir}/Network/News

gzip -9nf README ChangeLog AUTHORS TODO CREDITS

%find_lang %{name} --with-gnome

%clean
rm -r $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Network/News/*
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pan.spec,v $
Revision 1.40  2002/04/22 22:37:30  kloczek
- cosmetics.

Revision 1.39  2002/04/22 20:14:31  pioklo
- up to stable 0.11.3 version ,STBR

Revision 1.38  2002/04/02 10:54:36  pioklo
-up to 0.11.2.91

Revision 1.37  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.36  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.35  2002/01/18 02:14:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.34  2002/01/13 16:28:39  kloczek
- added missing "-I macros" to aclocal parameters.

Revision 1.33  2002/01/13 16:19:35  kloczek
- removed dump Patch0.

Revision 1.32  2002/01/13 14:58:41  kloczek
- revert to 0.11.0.92.

Revision 1.31  2002/01/13 14:55:17  kloczek
- release 2: rebuild against gal 0.19.

Revision 1.30  2001/12/01 17:15:55  kloczek
- updated to 0.11.0.92.

Revision 1.29  2001/11/23 06:43:09  kloczek
- corrected BuildRequires rules for gtkhtml-devel and gal-devel.

Revision 1.28  2001/11/23 06:12:29  kloczek
- updated to 0.11.0.91,
- rebuild against gal 0.18.x and gtkhtml 0.16.x.

Revision 1.27  2001/09/08 19:09:11  kloczek
- updated to 0.10.0.90 and rebuild against gal 0.11.2.

Revision 1.26  2001/08/17 20:35:40  kloczek
- updated to 0.10.0.

Revision 1.25  2001/07/26 07:37:46  kloczek
- release 4: added missing gal-devel BuildRequires rule and rebuild
  against gal 0.9.

Revision 1.24  2001/06/28 22:04:55  kloczek
- release 3: rebuild aganst gtkhtml linked with gal 0.8.

Revision 1.23  2001/06/10 22:39:14  kloczek
- release 2, Epoch: 1.

Revision 1.22  2001/06/09 15:12:50  misiek
0.9.7

Revision 1.21  2001/05/11 12:47:25  misiek
- release 4
- rebuild against gtkhtml 0.9.2

Revision 1.20  2001/04/23 23:03:08  misiek
BuildRequires: bison; rebuild in new gnome-print enviroment; release 3

Revision 1.19  2001/04/19 03:07:32  kloczek
- release 2,
- gebuild against gal 0.7,
- added use_AM_GNU_GETTEXT patch.

Revision 1.18  2001/03/26 22:17:19  kloczek
- updated to 0.9.6.

Revision 1.17  2001/03/19 18:02:17  kloczek
- release 2,
- Group changed to X11/Applications and spec adapterized,
- rebuild against gtkhtml linked with gal 0.5.

Revision 1.16  2001/03/12 22:55:01  kloczek
- updated to 0.9.5.

Revision 1.15  2001/02/27 05:12:03  kloczek
- updated to 0.9.4.

Revision 1.14  2001/02/11 09:59:20  misiek
0.9.3; stb

Revision 1.13  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.12  2001/01/04 08:07:23  kloczek
- updated to 0.9.2.

Revision 1.11  2000/10/31 16:30:44  kloczek
- updated to 0.9.1,
- removed outdated automake_fix patch,
- new Source url,
- use new rpm automation and rebuild againsrt gnome-libs linked with db3.

Revision 1.10  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.9  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.8  2000/05/28 11:05:23  kloczek
- release 2,
- desktop file moved ftom Networking/News to Network/News.

Revision 1.7  2000/05/18 18:34:42  kloczek
- updated to 0.8.0,
- removed applnk patch,
- added automake_fix with fix passing compile options in CVLSGs in uulib,
- spec adapterized,
- added %%{_datadir}/pixmaps/* to %files.

Revision 1.6  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.5  2000/04/01 11:15:16  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.3  2000/03/10 11:57:22  kloczek
- removed all Requires and added BuildRequires rules,
- removed COPYING from %doc.

Revision 1.2  2000/02/28 12:15:03  waszi
- updated 0.7.6

Revision 1.1  2000/02/11 21:21:01  waszi
- initial release

* Mon Jan 24 2000 Simon Piette
- changed the build section to allow building RPMS on non-x86 archs

* Sun Dec 12 1999 Jason Leach <leach@wam.umd.edu>
- changed the Summary string
- updated the description to match the README desc

* Wed Dec 1 1999 Charles Kerr <charles@skywalker.ecn.ou.edu>
- added "-ggdb3" to CFLAGS so that it'll be easier to read backtraces
  submitted in bug reports

* Thu Nov 4 1999 Jason Leach <leach@wam.umd.edu>
- added gtk+-1.2.6 requirement (1.2.3 definitely breaks, might as well
  make it newest gtk+)

* Tue Nov 2 1999 Jason Leach <leach@wam.umd.edu>
- made .spec.in file to auto-generate .spec

* Sat Sep 25 1999 Leland Elie <lelie@airmail.net>
- created spec file.
